Bug 521820 - Package is not multilib safe
Summary: Package is not multilib safe
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: net-snmp
Version: 5.2.z
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: BaseOS QE
URL:
Whiteboard:
Depends On: 527960
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 12:55 UTC by Jan Safranek
Modified: 2010-03-30 08:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:29:21 UTC


Attachments (Terms of Use)
test application to check new include files (198 bytes, text/plain)
2009-10-09 08:53 UTC, Jan Safranek
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0253 normal SHIPPED_LIVE net-snmp bug fix and enhancement update 2010-03-29 12:46:44 UTC

Description Jan Safranek 2009-09-08 12:55:18 UTC
Description of problem:
Our internal rpmdiff tool reports, that net-snmp has problems on multilib architectures:

Subpackage net-snmp is not multilib-clean for x86_64 vs i386: 2 files have non-equal 32/64bit content:

  /usr/share/man/man5/snmpd.conf.5.gz
  /usr/share/man/man5/snmp_config.5.gz

Subpackage net-snmp-devel is not multilib-clean for ia64 vs i386: 8 files have non-equal 32/64bit content:

  /usr/lib/libsnmp.a
  /usr/lib/libnetsnmptrapd.a
  /usr/lib/libnetsnmpmibs.a
  /usr/lib/libnetsnmphelpers.a
  /usr/lib/libnetsnmpagent.a
  /usr/lib/libnetsnmp.a
  /usr/include/net-snmp/agent/mib_module_includes.h
  /usr/include/net-snmp/agent/mib_module_config.h


Version-Release number of selected component (if applicable):
net-snmp-5.3.1-24.el5_2.3

Comment 3 Jan Safranek 2009-09-23 08:25:35 UTC
1) man pages in net-snmp can be easily fixed
2) headers in net-snmp-devel can probably be fixed, though it won't be easy
3) static libraries are the real problem here. Rpm does not relocate them to /emul/whatever, so ia64 and i386 versions conflict in /usr/lib

Comment 4 Jan Safranek 2009-10-08 11:51:33 UTC
I have created new bug for relocation of static libraries to bug #527960, it's fault of RPM.

Only items 1) and 2) apply to this bug.

Comment 5 Jan Safranek 2009-10-09 08:53:08 UTC
Created attachment 364218 [details]
test application to check new include files

Usage:

yum install net-snmp-devel
gcc -o net-snmp-test `net-snmp-config --cflags --ldflags --netsnmp-agent-libs --libs --external-agent-libs` net-snmp-test.c

Resulting executable should start (it won't do anything useful) and GCC should not spit any errors/warnings.

Also check preprocessor output (gcc -E) if mib_module_config.h leads to mib_module_config-$ARCH.h.

Comment 6 Jan Safranek 2009-10-09 11:02:40 UTC
Solution to 2): have dummy agent/mib_module_includes.h, which just detects current architecture and include e.g. mib_module_includes-ia64.h. Each net-snmp-devel.$arch has then it's own version of mib_module_includes-$arch.h.

Dtto for agent/mib_module_config.h.

Comment 11 errata-xmlrpc 2010-03-30 08:29:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0253.html


Note You need to log in before you can comment on or make changes to this bug.